Ankihub add-on error on sync and opening

I’ve tried checking for add-on updates regularly and in safe mode and there aren’t any updates available. It doesn’t go away if I close or restart anki. I’ve also tried the fix that was suggested here

Error message (don't change this)
Anki 2.1.65 (aa9a734f) Python 3.9.15 Qt 6.4.3 PyQt 6.4.0
Platform: Windows-10-10.0.22621
Flags: frz=True ao=True sv=2
Add-ons, last update check: 2023-09-13 12:50:52

Traceback (most recent call last):

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 225, in _send_request_with_retry
    response = self._send_request_with_retry_inner(request, stream=stream)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x2c21556e610 state=finished raised SSLError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 231, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 246, in _send_request_with_retry_inner
    response = session.send(request, stream=stream)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 517, in send

requests.exceptions.SSLError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.webview", line 46, in cmd

  File "aqt.webview", line 153, in _onCmd

  File "aqt.webview", line 662, in _onBridgeCmd

  File "aqt.toolbar", line 411, in _linkHandler

  File "aqt.toolbar", line 435, in _syncLinkHandler

  File "aqt.main", line 1012, in on_sync_button_clicked

  File "decorator", line 232, in fun

  File "anki.hooks", line 89, in decorator_wrapper

  File "anki.hooks", line 86, in repl

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 83, in _on_ankiweb_sync
    sync_with_ankiweb(future_with_exception(e))

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 74, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 80, in _on_ankiweb_sync
    _maybe_sync_with_ankihub(on_done=sync_with_ankiweb)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 100, in _maybe_sync_with_ankihub
    sync_with_ankihub(on_done=on_done)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 60, in sync_with_ankihub
    on_done(future_with_exception(e))

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 74, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 48, in sync_with_ankihub
    subscribed_decks = client.get_deck_subscriptions()

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 545, in get_deck_subscriptions
    response = self._send_request("GET", API.ANKIHUB, "/decks/subscriptions/")

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 211, in _send_request
    response = self._send_request_with_retry(prepped, stream=stream)

  File "C:\Users\elish\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 233, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))

Sentry link (for developers)

Can you check your network proxy settings? Please see the “Review Proxy Settings in Windows” section in this article: https://www.makeuseof.com/tag/windows-could-not-automatically-detect-this-networks-proxy-settings/